@echo off
setlocal

echo ----------------------
echo Building all launchers
echo ----------------------

echo [Agilitest      ]
call buildAgilitestLauncher.bat
echo [Ant            ]
call buildAntLauncher.bat
echo [AutoIt         ]
call buildAutoitLauncher.bat
echo [Bat            ]
call buildBatLauncher.bat
echo [Bat with params]
call buildBatWithParamsLauncher.bat
echo [BeanShell      ]
call buildBeanshellLauncher.bat
echo [Cerberus       ]
call buildCerberusLauncher.bat
echo [Cucumber       ]
call buildCucumberLauncher.bat
echo [Cucumber_v2    ]
call buildCucumberV2Launcher.bat
echo [eTASQ          ]
call buildEtasQLauncher.bat
echo [Exe            ]
call buildExeLauncher.bat
echo [FitNesse       ]
call buildFitNesseLauncher.bat
echo [gatling        ]
call buildGatlingLauncher.bat
echo [Generic        ]
call buildGenericLauncher.bat
echo [Generic VC     ]
call buildGenericVersionControlLauncher.bat
echo [Git            ]
call buildGITLauncher.bat
echo [GitLab CI/CD   ]
call buildGITLabCICDLauncher.bat
echo [Gradle         ]
call buildGradleLauncher.bat
echo [Jar            ]
call buildJarLauncher.bat
echo [Java           ]
call buildJavaLauncher.bat
echo [JMeter         ]
call buildJMeterLauncher.bat
echo [JMeter SQL     ]
call buildJMeterSqlLauncher.bat
echo [JMeter Web     ]
call buildJMeterWebLauncher.bat
echo [JUnit          ]
call buildJUnitLauncher.bat
echo [Katalon        ]
call buildKatalonLauncher.bat
echo [Katalon_v2     ]
call buildKatalonv2Launcher.bat
echo [Marathon       ]
call buildMarathonLauncher.bat
echo [Maven          ]
call buildMavenLauncher.bat
echo [Mocha          ]
call buildMochaLauncher.bat
echo [MrSuricate     ]
call buildMrSuricateLauncher.bat
echo [NeoLoad        ]
call buildNeoLoadLauncher.bat
echo [NUnit          ]
call buildNUnitLauncher.bat
echo [Odin Axe       ]
call buildOdinAxeLauncher.bat
echo [Odin Axe Res.  ]
call buildOdinAxeResultsLauncher.bat
echo [Off. Generic   ]
call buildOfflineGenericLauncher.bat
echo [Protractor     ]
call buildpProtractorLauncher.bat
echo [Proxy          ]
call buildProxyLauncher.bat
echo [Perl           ]
call buildPerlLauncher.bat
echo [PHP Unit       ]
call buildPHPUnitLauncher.bat
echo [Playwright     ]
call buildPlaywrightLauncher.bat
echo [Postman        ]
call buildPostmanLauncher.bat
echo [PyUnit         ]
call buildPyUnitLauncher.bat
echo [PyTest         ]
call buildPyTestLauncher.bat
echo [Python         ]
call buildPythonLauncher.bat
echo [QF-Test        ]
call buildQFTestLauncher.bat
echo [QTP            ]
call buildQtpLauncher.bat
echo [Random         ]
call buildRandomLauncher.bat
echo [Ranorex        ]
call buildRanorexLauncher.bat
echo [Rapise         ]
call buildRapiseLauncher.bat
echo [ReadyAPI       ]
call buildReadyAPILauncher.bat
echo [RFramework     ]
call buildRobotFrameworkLauncher.bat
echo [RFramework v2  ]
call buildRobotFrameworkv2Launcher.bat
echo [RFramework v3  ]
call buildRobotFrameworkv3Launcher.bat
echo [RFramework v4  ]
call buildRobotFrameworkv4Launcher.bat
echo [Sahi           ]
call buildSahiLauncher.bat
echo [Sahi35         ]
call buildSahi35Launcher.bat
echo [Sahi40         ]
call buildSahi40Launcher.bat
echo [Sahi60         ]
call buildSahi60Launcher.bat
echo [Selenese       ]
call buildSeleneseLauncher.bat
echo [Selenium Java  ]
call buildSeleniumJavaLauncher.bat
echo [Selenium HTML  ]
call buildSeleniumHtmlLauncher.bat
echo [Selenium3 HTML ]
call buildSelenium3htmlLauncher.bat
echo [Selenium .NET  ]
call buildSeleniumDotNetLauncher.bat
echo [Selenium Python]
call buildSeleniumPythonLauncher.bat
echo [Shell          ]
call buildShellLauncher.bat
echo [Sikuli         ]
call buildSikuliLauncher.bat
echo [SikuliX        ]
call buildSikuliXLauncher.bat
echo [SilkTest       ]
call buildSilkTestLauncher.bat
echo [SoapUI         ]
call buildSoapUILauncher.bat
echo [SoapUI_Load    ]
call buildSoapUILoadLauncher.bat
echo [SoapUI_Security]
call buildSoapUISecurityLauncher.bat
echo [SOATest        ]
call buildSOATestLauncher.bat
echo [SQL Compare    ]
call buildSqlCompareLauncher.bat
echo [SQL Select     ]
call buildSqlSelectLauncher.bat
echo [Squish         ]
call buildSquishLauncher.bat
echo [Success        ]
call buildSuccessLauncher.bat
echo [SVN            ]
call buildSVNLauncher.bat
echo [Tape           ]
call buildTapeLauncher.bat
echo [TCL            ]
call buildTclLauncher.bat
echo [TestComplete   ]
call buildTestCompleteLauncher.bat
echo [TestComplete_v2]
call buildTestCompletev2Launcher.bat
echo [TestExecute    ]
call buildTestExecuteLauncher.bat
echo [TestExecute_v2 ]
call buildTestExecutev2Launcher.bat
echo [TestNG         ]
call buildTestNGLauncher.bat
echo [TestOptimal    ]
call buildTestOptimalLauncher.bat
echo [TestOptimal_Sp ]
call buildTestOptimalSimpleLauncher.bat
echo [TestPartner    ]
call buildTestPartnerLauncher.bat
echo [TestStand      ]
call buildTestStandLauncher.bat
echo [VisualStudio   ]
call buildVisualStudioLauncher.bat
echo [CodedUI        ]
call buildVisualStudioCodedUiLauncher.bat
echo [VTaaS          ]
call buildVTaaSLauncher.bat
echo [WAPT           ]
call buildWaptLauncher.bat
echo [WebdriverIO    ]
call buildWebdriverIOLauncher.bat
echo [WebUI          ]
call buildWebUiLauncher.bat
echo [xci            ]
call buildXciLauncher.bat
echo [xUnit.net      ]
call buildXunitDotNetLauncher.bat

